## mythtv-dmo 33.1+fixes20240210.git512d723c83

=== external/FFmpeg/fftools/Makefile ===
AVPROGS-$(CONFIG_FFMPEG)   += ffmpeg
AVPROGS-$(CONFIG_FFPLAY)   += ffplay
AVPROGS-$(CONFIG_FFPROBE)  += ffprobe

AVPROGS     := $(AVPROGS-yes:%=%$(PROGSSUF)$(EXESUF))
PROGS       += $(AVPROGS)
MYTHPROGS   = $(addprefix myth, ${PROGS})
MYTHFFLIBS  = -lmythavfilter -lmythavformat -lmythavcodec \
-lmythpostproc -lmythswresample -lmythswscale

AVBASENAMES  = ffmpeg ffplay ffprobe
ALLAVPROGS   = $(AVBASENAMES:%=%$(PROGSSUF)$(EXESUF))
ALLAVPROGS_G = $(AVBASENAMES:%=%$(PROGSSUF)_g$(EXESUF))

OBJS-ffmpeg +=                  \
    fftools/ffmpeg_filter.o     \
    fftools/ffmpeg_hw.o         \
    fftools/ffmpeg_mux.o        \
    fftools/ffmpeg_opt.o        \

define DOFFTOOL
OBJS-$(1) += fftools/cmdutils.o fftools/opt_common.o fftools/$(1).o $(OBJS-$(1)-yes)
$(1)$(PROGSSUF)_g$(EXESUF): $$(OBJS-$(1))
$$(OBJS-$(1)): | fftools
$$(OBJS-$(1)): CFLAGS  += $(CFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): LDFLAGS += $(LDFLAGS-$(1))
$(1)$(PROGSSUF)_g$(EXESUF): FF_EXTRALIBS += $(EXTRALIBS-$(1))
-include $$(OBJS-$(1):.o=.d)
endef

$(foreach P,$(AVPROGS-yes),$(eval $(call DOFFTOOL,$(P))))

all: $(AVPROGS)

fftools/ffprobe.o fftools/cmdutils.o: libavutil/ffversion.h | fftools
OUTDIRS += fftools

# ${MYTHPROGS}:
mythffmpeg:	ffmpeg_g
	cp ffmpeg_g mythffmpeg

mythffprobe: ffprobe_g
	cp ffprobe_g mythffprobe

mythffplay: ffplay_g
	cp ffplay_g mythffplay

ifdef AVPROGS
install: install-mythprogs

endif

install-progs-yes:
install-progs-$(CONFIG_SHARED): install-libs

install-progs: install-progs-yes $(AVPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(AVPROGS) "$(BINDIR)"

install-mythprogs: install-progs-yes $(MYTHPROGS)
	$(Q)mkdir -p "$(BINDIR)"
	$(INSTALL) -c -m 755 $(MYTHPROGS) "$(BINDIR)"

uninstall: uninstall-progs

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLAVPROGS))

clean::
	$(RM) $(ALLAVPROGS) $(ALLAVPROGS_G) $(CLEANSUFFIXES:%=fftools/%)

## mythtv-dmo 31.0+fixes20210403.git563a05b7a8

=== debian/changelog ===
mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    203cef68a0636fcf536d4938815dc2725fb8a0ba.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 05 Apr 2021 16:42:36 +0200

mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [e56cf55] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [32d605b] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [0f33515] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [47e217e] control: b-d: Allow libfreetyp6-dev for buster.

  [ Stephan Suerken ]
  * [b418740] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [eb8cb6f] control: Downgrade b-d libvpx-dev to 1.7 for buster.
  * [c300fdd] control: b-d egl-dev: Also accept libegl1-mesa-dev for
    buster.
  * [17f3b3a] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [9da3feb] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [65736d7] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=buster-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Mon, 05 Apr 2021 15:46:10 +0200

mythtv-dmo (31.0+fixes20210403.git563a05b7a8-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Add ffmpeg to mythtv-frontend Suggests

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 16:14:56 +0200

mythtv-dmo (31.0+fixes20210323.gitdbac81d4f9-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 16:05:05 +0100

mythtv-dmo (31.0+fixes20210323.gitdbac81d4f9-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 09:23:14 +0100

mythtv-dmo (31.0+fixes20210320.git6c7c8b0351-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Mar 2021 08:16:59 +0100

mythtv-dmo (31.0+fixes20210226.gitb6ddf202a4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Feb 2021 07:29:23 +0100

mythtv-dmo (31.0+fixes20210225.git525e3b0bb4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * tmdb3tv.py and tvmaze.py should be executable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Feb 2021 09:04:18 +0100

mythtv-dmo (31.0+fixes20210206.git7763a3363d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Feb 2021 09:18:36 +0100

mythtv-dmo (31.0+fixes20210126.git016630a35c-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libcec6

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 09:26:06 +0100

mythtv-dmo (31.0+fixes20201214.gite9b795a1e4-dmo2) unstable; urgency=medium

  * Fix database weekly backup script and enable rotate (set to 12 (weeks)).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Dec 2020 09:39:57 +0100

mythtv-dmo (31.0+fixes20201214.gite9b795a1e4-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Dec 2020 09:13:53 +0100

mythtv-dmo (31.0+fixes20201018.giteb3c84de5f-dmo2) unstable; urgency=medium

  * Build with libdav1d5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Nov 2020 18:21:29 +0100

mythtv-dmo (31.0+fixes20201018.giteb3c84de5f-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Add a Breaks for old libraries : libmyth-0.27-0, libmyth-0.28-0 and libmyth-30

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Oct 2020 14:48:53 +0200

mythtv-dmo (31.0+fixes20200926.git8ca7747648-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Sep 2020 09:57:26 +0200

mythtv-dmo (31.0+fixes20200906.gitb282809197-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Sep 2020 14:43:02 +0200

mythtv-dmo (31.0+fixes20200823.gitd3088629de-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Aug 2020 08:42:01 +0200

mythtv-dmo (31.0+fixes20200720.git89d1991ef2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Uses nv-codec-headers package instead of the included headers.
  * Add dbconfig-no-thanks as alternative to dbconfig-mysql

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Jul 2020 09:03:00 +0200

mythtv-dmo (31.0+fixes20200715.git8212a9b7bf-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-database should Depends on dbconfig-mysql

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jul 2020 11:10:01 +0200

mythtv-dmo (31.0+fixes20200630.git8a0c4f9bd2-dmo2) unstable; urgency=medium

  * Build with libx264-161

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 15:12:36 +0200

mythtv-dmo (31.0+fixes20200630.git8a0c4f9bd2-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.



=== debian/control ===
Source: mythtv-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.mythtv.org/
Standards-Version: 4.5.1
Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev
Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
 libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
 libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
 liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
 libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
 libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
 libsoundtouch-dev, nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev,
 libdbd-mysql-perl, libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev,
 libxvidcore-dev, libpulse-dev, libtool-bin, libexiv2-dev, libvdpau-dev,
 qtbase5-dev, libsctp-dev, libcec-dev, libdrm-dev, uuid-dev,
 libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, libqt5webkit5-dev,
 libx264-dev, libvpx-dev (>= 1.7.0), libass-dev (>= 0.10.2),
 libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
 libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
 libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
 libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
 libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
 libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
 libxcb-shm0-dev, libegl1-mesa-dev | libegl-dev, libffmpeg-nvenc-dev [amd64 i386],
 dh-linktree, fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre

Package: mythtv
Architecture: all
Pre-Depends: default-mysql-server | virtual-mysql-server
Depends: mythtv-database (>= ${source:Version}), mythtv-frontend (>= ${source:Version}), mythtv-backend (>= ${source:Version}), ${misc:Depends}
Recommends: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 This package will install a complete MythTV client/server environment on a
 single system, including a MySQL server.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.

Package: mythtv-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
Recommends: mythtv-doc (>= ${source:Version}), python3-selinux
Conflicts: mythlogserver
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Multi-Arch: foreign
Depends: mythtv-common (>= ${source:Version}), ${misc:Depends}, dbconfig-mysql | dbconfig-no-thanks, libdbd-mysql-perl, default-mysql-client | virtual-mysql-client, cron | cron-daemon
Recommends: default-mysql-server | virtual-mysql-server
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package sets up a MySQL database for use MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3-pycurl, python3-mythtv
Replaces: mythtv-common (<= 0.27.0-dmo2)
Recommends: mythtv-database, logrotate, xmltv-util
Suggests: mythtv-frontend, mythweb
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mythtv
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-31
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-mysql, procps, iputils-ping
Recommends: udisks2, ${shlibs:Recommends}
Breaks: libmyth-0.27-0, libmyth-0.28-0, libmyth-30
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 The powerpc packages were compiled with altivec and sparc packages with
 ultra-sparc support.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmyth-31 (= ${binary:Version}), ${misc:Depends}
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${perl:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, libwww-perl, libnet-upnp-perl, libio-socket-inet6-perl, libhttp-message-perl
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains Perl bindings to access mythtv datas.

Package: python3-mythtv
Architecture: all
Section: python
Conflicts: python-mythtv
Replaces: python-mythtv
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests, python3-requests-cache, python3-simplejson, python3-future
Recommends: python3-aniso8601
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.

Package: php-mythtv
Architecture: all
Section: php
Depends: ${misc:Depends}, libapache2-mod-php | php
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: mythffmpeg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: Special ffmpeg version for nuvexport
 Special ffmpeg version for nuvexport. This binary is linked against the
 libmythav* libraries and not libraries in libavc* packages.

Package: libmythavcodec58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavcodec package for MythTV
 This package is only used by MythTV packages.

Package: libmythavdevice58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavdevice package for MythTV
 This package is only used by MythTV packages.

Package: libmythavfilter7
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavfilter package for MythTV
 This package is only used by MythTV packages.

Package: libmythavformat58
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavformat package for MythTV
 This package is only used by MythTV packages.

Package: libmythavutil56
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libavutil package for MythTV
 This package is only used by MythTV packages.

Package: libmythpostproc55
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libpostproc package for MythTV
 This package is only used by MythTV packages.

Package: libmythswscale5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libswscale package for MythTV
 This package is only used by MythTV packages.

Package: libmythswresample3
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swresample package for MythTV
 This package is only used by MythTV packages.

Package: mythtv-transcode
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUG_BUILD=1
endif
ifdef DEBUG_BUILD
	CONFIGURE_OPTS += --compile-type=debug
endif

ifeq (ccache,$(findstring ccache,$(PATH)))
	CONFIGURE_OPTS += --cc=/usr/lib/ccache/cc --cxx=/usr/lib/ccache/c++
endif

ifeq "$(DEB_BUILD_ARCH)" "i386"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "amd64"
	CONFIGURE_OPTS += --enable-vaapi
else
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
        CONFIGURE_OPTS += --disable-altivec
else
ifeq "$(DEB_BUILD_ARCH)" "arm64"
        EXTRAS_CXXFLAGS += -fPIC
else
ifeq "$(DEB_BUILD_ARCH)" "armhf"
        CONFIGURE_OPTS += --disable-mmal
else
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64el))
	CONFIGURE_OPTS += --disable-loongson2 --disable-loongson3 \
	--disable-mips32r2 --disable-mips32r5 --disable-mips32r6 \
	--disable-mips64r6 --disable-mipsdsp --disable-mipsdspr2 \
	--disable-mipsfpu --disable-mmi --disable-msa
endif
endif
endif
endif
endif
endif

# grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h
# 31.20200101-1 as 31.0

MYTH_BINARY_VERSION = $(shell grep MYTH_BINARY_VERSION libs/libmythbase/mythversion.h | cut -d'"' -f2)

ifneq "$(MYTH_BINARY_VERSION)" "31.20200101-1"
	exit 1
endif

#LIB_PKGS = $(shell sed -nr 's/^Package:[[:space:]]*(lib(myth-|mythavcodec|mythavdevice|mythavfilter|mythavformat|mythavutil|mythpostproc|mythswresample|mythswscale|mythqjson|mythzmq)[0-9]+)[[:space:]]*$$/\1/p' debian/control)

%:
	dh $@ --with quilt,linktree

override_dh_auto_configure:
	./configure --compile-type=release --prefix=/usr --runprefix=/usr \
	--enable-libx264 --enable-libmp3lame --enable-libxvid --enable-libx265 \
	--enable-libvpx --enable-nonfree --enable-pic --enable-hdhomerun \
	--arch=$(DEB_HOST_GNU_CPU) --disable-ffprobe --disable-ffserver \
	--libdir-name=lib/$(DEB_HOST_MULTIARCH) $(CONFIGURE_OPTS)

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	perl -i -pe 's,CONFIG_THUMB 0,CONFIG_THUMB 1,' config.h
endif

ifeq "$(DEB_BUILD_ARCH)" "armel"
	perl -i -pe 's,-DHAVE_CONFIG_H,-DHAVE_CONFIG_H -DHAVE_PTHREAD_H,' external/libudfread/Makefile
endif

#	exit 1

override_dh_auto_install:
	$(MAKE) install PREFIX=usr INSTALL_ROOT=$(CURDIR)/debian/tmp/

	-rm debian/tmp/usr/local/lib/*/perl/*/auto/MythTV/.packlist
	rm debian/tmp/usr/share/mythtv/themes/Terra/watermarks/README.license
# Not needed
	rm debian/tmp/usr/bin/mythwikiscripts

	find debian/tmp/usr/share -type f -exec chmod 0644 {} \;

# Keep executable
	chmod +x debian/tmp/usr/share/mythtv/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/ttvdb.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Movie/tmdb*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.py
	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py

override_dh_install:
	rm debian/tmp/usr/share/mythtv/fonts/README-freefont-20120503.txt
	rm debian/tmp/usr/share/mythtv/fonts/README-purisa.txt
	rm debian/tmp/usr/share/mythtv/fonts/README-TeX-Gyre-Chorus.txt

	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts

	dh_install -pmythtv-frontend debian/mythtv.desktop usr/share/applications
	dh_install -XCOPYING -XLICENSE -pmythtv-backend debian/mythtv-setup.desktop usr/share/applications

	rm -f debian/mythtv/usr/share/mythtv/setup.xml

override_dh_installdocs:
	dh_installdocs -XCOPYING README debian/README.Debian AUTHORS keys.txt FAQ UPGRADING keys.txt

override_dh_strip:
ifneq (nostrip,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif

override_dh_installexamples-indep:
	dh_installexamples -pmythtv-doc contrib/*

#override_dh_makeshlibs:
#	for pkg in $(LIB_PKGS); do \
#	  dh_makeshlibs -p$$pkg -V "$$pkg (>= $(SHLIBS_VERSION))"; \
#	done

override_dh_installinit:
	dh_installinit -u'defaults 40 16'

override_dh_compress-arch:
	dh_compress -X.py -X.pl

override_dh_fixperms-arch:
	dh_fixperms -X.py -X.pl

override_dh_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

	dh_quilt_unpatch

	debconf-updatepo

	dh_clean version.cpp external/FFmpeg/mythffmpeg config.log external/FFmpeg/mythffplay \
	external/FFmpeg/libavfilter/libmpcodecs/*.o external/FFmpeg/libavfilter/libmpcodecs/*.d \
	config.fate external/FFmpeg/libavcodec/codec_names.h external/FFmpeg/.config \
	external/FFmpeg/mythffserver external/FFmpeg/mythffprobe TMPMAK src debian/substvars \
	debian/libmythtv-recommends-dummy.so bindings/perl/MYMETA.json bindings/perl/MYMETA.yml \
	bindings/perl/Makefile.perl bindings/perl/pm_to_blib external/libsamplerate/Makefile \
	external/libmythbluray/.qmake.stash external/libmythbluray/Makefile doc/config.texi \
	external/libmythsoundtouch/.qmake.stash external/libmythsoundtouch/Makefile external/libsamplerate/.qmake.stash \
	external/FFmpeg/doc/config.texi external/FFmpeg/libavdevice/indev_list.c \
	external/FFmpeg/libavdevice/outdev_list.c external/FFmpeg/libavfilter/filter_list.c

#	find -name .exists | xargs -r rm

override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
	dh_shlibdeps

	dpkg-shlibdeps -dRecommends -edebian/libmythtv-recommends-dummy.so -xlibc6 -O >> debian/libmyth-31.substvars

debian/libmythtv-recommends-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lcec \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_dwz override_dh_quilt_unpatch override_dh_auto_test override_dh_auto_clean:

=== debian/watch ===
version=4

opts=uversionmangle=s/29-pre|30-Pre/0/ \
https://github.com/MythTV/mythtv/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## mythtv-dmo 31.0+fixes20210424.git05c16580e1

=== debian/changelog ===
mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    df5a2e26524a3b576c30725cd1c52dfcb2ca1e83.
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Thu, 29 Apr 2021 08:19:39 +0200

mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1~ab~BULLSEYE+1) bullseye-ab-unstable; urgency=medium

  [ Stephan Sürken ]
  * [2b49795] control: Remove versioned b-d on libx264 (epoch 3 not in
    Debian).
  * [6daffa3] control: mythtv-python: Recommends: python-aniso8601 (Fixes
    warning in /usr/share/mythtv/internetcontent/youtube.py).
  * [78c9db7] control: Remove versioned b-d on libcec (epoched version not
    in Debian).
  * [36ba851] control: b-d: Allow libfreetyp6-dev for buster.

  [ Stephan Suerken ]
  * [2b9bcd0] debian/patches/a2_astra_scan_defaults: Make channel scan
    work ootb for Astra 19E.

  [ Stephan Sürken ]
  * [c8f0b83] control: Downgrade b-d libvpx-dev to 1.7 for buster.
  * [e0d3755] control: b-d egl-dev: Also accept libegl1-mesa-dev for
    buster.
  * [c6d0be8] control: nv-codec-headers: ported deb (in Ubuntu) is called
    'libffmpeg-nvenc-dev'.
  * [27b0ff5] control: Add missing dh-python,dh-linktree to b-d (fixes
    FTBS).
  * [35f06ca] control (Build-Depends): Use libdca-dev, not libdts-dev
    (latter dropped since 0.0.7-1/bullseye).
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=buster-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 28 Apr 2021 18:54:14 +0200

mythtv-dmo (31.0+fixes20210424.git05c16580e1-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Apr 2021 08:40:47 +0200

## mythtv-dmo 31.0+fixes20220227.git7e4ce1ba98

=== debian/changelog ===
mythtv-dmo (1:31.0+fixes20220227.git7e4ce1ba98-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Feb 2022 09:50:11 +0100

mythtv-dmo (1:31.0+fixes20220120.git23738a7074-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jan 2022 16:11:20 +0100

mythtv-dmo (1:31.0+fixes20211113.git25f1bb1d12-dmo0+deb11u1) stable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Nov 2021 09:23:17 +0100

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1+deb11u2) stable; urgency=medium

  * Really apply previous changes :)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Oct 2021 11:22:50 +0200

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1+deb11u1) stable; urgency=medium

  * python3-mythtv :
      Should depends on python3-dateutil (required by tvmaze).
      Remove duplicate python3-future in Depends
      Remove python3-requests already provided by python3-requests-cache

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Oct 2021 10:58:04 +0200

mythtv-dmo (1:31.0+fixes20210801.git5824c588db-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * I forgot, a fallbacl has been added if pwgen isn't installed, so remove
    'Pre-Depends: pwgen' for the mythtv-common package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:31:54 +0200

mythtv-dmo (1:31.0+fixes20210729.git7037525723-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv-common should Pre-Depends: on pwgen.
  * Add amf-codec-headers to Build-Conflicts

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Jul 2021 08:45:02 +0200

mythtv-dmo (1:31.0+fixes20210614.git0680b37c68-dmo2) unstable; urgency=medium

  * Remove unused ifconfig call from the mythtv-database postinst script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Jul 2021 01:07:47 +0200

mythtv-dmo (1:31.0+fixes20210614.git0680b37c68-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 10:11:51 +0200

mythtv-dmo (1:31.0+fixes20210605.gitdf29c72b4d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * /usr/share/mythtv/hardwareprofile/sendProfile.py must be executable
    (Thanks to Ian Campbell for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Jun 2021 14:43:31 +0200

mythtv-dmo (1:31.0+fixes20210522.gitf8c59ee69d-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.
  * mythtv.desktop Remove obsolet --service option (Thank to Arne Nordmark
    for the bug report).
  * Add symbolic links for fonts-tiresias files.
  * Add symbolic links for libjs-jquery-ui files.
  * Don't install examples files from MythXMLTest directory in
    mythtv-backend, these files are already packaged in mythtv-doc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 May 2021 09:48:25 +0200

mythtv-dmo (1:31.0+fixes20210508.gitf7de8cea58-dmo1) unstable; urgency=medium

  * New upstream bugfix release from git repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 May 2021 09:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,29 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.mythtv.org/
 Standards-Version: 4.5.1
-Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev
-Build-Depends: debhelper-compat (= 13), dh-python, dh-linktree, dh-sequence-python3, libxext-dev,
- libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype6-dev | libfreetype-dev,
+Build-Conflicts: libmyth-dev, liboss4-salsa-dev, libroar-dev, libsndio-dev, amf-codec-headers
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libxext-dev,
+ libvorbis-dev, libdbi-perl, default-libmysqlclient-dev, libfreetype-dev,
  libjack-jackd2-dev, qtscript5-dev, libavc1394-dev [linux-any], libfaad-dev,
- liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdca-dev,
+ liblircclient-dev, libsamplerate0-dev, libasound2-dev [linux-any], libdts-dev,
  libxinerama-dev, quilt, libtag1-dev, libiec61883-dev (>= 1.0.0) [linux-any],
  libxxf86vm-dev, po-debconf, libxvmc-dev, libdvdnav-dev, libssl-dev, texinfo,
  libsoundtouch-dev, nasm [any-amd64 any-i386], libxrandr-dev, libfftw3-dev,
  libdbd-mysql-perl, libfribidi-dev, libxml2-dev, libgl-dev, liba52-0.7.4-dev,
  libxvidcore-dev, libpulse-dev, libtool-bin, libexiv2-dev, libvdpau-dev,
- qtbase5-dev, libsctp-dev, libcec-dev, libdrm-dev, uuid-dev,
+ qtbase5-dev, libsctp-dev, libcec-dev (>= 2:6~), libdrm-dev, uuid-dev,
  libva-dev [any-amd64 any-i386], libudev-dev, liblzma-dev, libqt5webkit5-dev,
- libx264-dev, libvpx-dev (>= 1.7.0), libass-dev (>= 0.10.2),
+ libx264-dev (>= 3:0.159~), libvpx-dev (>= 1.8.0), libass-dev (>= 0.10.2),
  libavahi-compat-libdnssd-dev, libhttp-message-perl, libio-socket-inet6-perl,
  libhdhomerun-dev (>= 20170815-2~), libsystemd-dev, librtmp-dev, libbz2-dev,
  libgnutls28-dev | gnutls-dev, libqt5opengl5-dev, libbluray-dev, libwww-perl,
  libnet-upnp-perl, libx265-dev, libmp3lame-dev, libxnvctrl-dev, liblzo2-dev,
  libxml-simple-perl, python3-simplejson, python3-future, libdav1d-dev,
  libaom-dev [amd64], python3-mysqldb, python3-lxml, python3-requests,
- libxcb-shm0-dev, libegl1-mesa-dev | libegl-dev, libffmpeg-nvenc-dev [amd64 i386],
- dh-linktree, fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre
+ libxcb-shm0-dev, libegl-dev, nv-codec-headers [amd64 i386],
+ dh-linktree,
+ fonts-freefont-ttf, fonts-tlwg-purisa-ttf, fonts-texgyre, fonts-tiresias,
+ libjs-jquery-ui
 
 Package: mythtv
 Architecture: all
@@ -54,7 +56,7 @@
 Package: mythtv-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
+Depends: ${misc:Depends}, python3:any, libxml-xpath-perl, default-mysql-client | virtual-mysql-client, adduser
 Recommends: mythtv-doc (>= ${source:Version}), python3-selinux
 Conflicts: mythlogserver
 Description: Personal video recorder application (common data)
@@ -92,7 +94,7 @@
 Package: mythtv-backend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3-pycurl, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, wget, lsb-base, mythtv-transcode, python3:any, python3-pycurl, python3-mythtv
 Replaces: mythtv-common (<= 0.27.0-dmo2)
 Recommends: mythtv-database, logrotate, xmltv-util
 Suggests: mythtv-frontend, mythweb
@@ -116,7 +118,7 @@
 
 Package: mythtv-frontend
 Architecture: any
-Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-mythtv
+Depends: mythtv-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, python3-mythtv
 Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ffmpeg
 Description: Personal video recorder application (client)
  MythTV provides a unified graphical interface for recording and viewing
@@ -181,8 +183,7 @@
 Conflicts: python-mythtv
 Replaces: python-mythtv
 Provides: ${python3:Provides}
-Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests, python3-requests-cache, python3-simplejson, python3-future
-Recommends: python3-aniso8601
+Depends: ${python3:Depends}, ${misc:Depends}, python3-mysqldb, python3-lxml, python3-future, python3-requests-cache, python3-simplejson, python3-dateutil
 Description: Personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.

=== debian/rules ===
--- 
+++ 
@@ -91,11 +91,10 @@
 	chmod +x debian/tmp/usr/share/mythtv/internetcontent/*.pl
 	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tmdb3tv.py
 	chmod +x debian/tmp/usr/share/mythtv/metadata/Television/tvmaze.py
+	chmod +x debian/tmp/usr/share/mythtv/hardwareprofile/sendProfile.py
 
 override_dh_install:
-	rm debian/tmp/usr/share/mythtv/fonts/README-freefont-20120503.txt
-	rm debian/tmp/usr/share/mythtv/fonts/README-purisa.txt
-	rm debian/tmp/usr/share/mythtv/fonts/README-TeX-Gyre-Chorus.txt
+	rm debian/tmp/usr/share/mythtv/fonts/*.txt
 
 	dh_install -X.a -XCOPYING -XLICENSE -Xusr/share/mythtv/themes/MythCenter-wide/fonts
 
@@ -136,18 +135,16 @@
 
 	debconf-updatepo
 
-	dh_clean version.cpp external/FFmpeg/mythffmpeg config.log external/FFmpeg/mythffplay \
-	external/FFmpeg/libavfilter/libmpcodecs/*.o external/FFmpeg/libavfilter/libmpcodecs/*.d \
-	config.fate external/FFmpeg/libavcodec/codec_names.h external/FFmpeg/.config \
-	external/FFmpeg/mythffserver external/FFmpeg/mythffprobe TMPMAK src debian/substvars \
-	debian/libmythtv-recommends-dummy.so bindings/perl/MYMETA.json bindings/perl/MYMETA.yml \
-	bindings/perl/Makefile.perl bindings/perl/pm_to_blib external/libsamplerate/Makefile \
-	external/libmythbluray/.qmake.stash external/libmythbluray/Makefile doc/config.texi \
-	external/libmythsoundtouch/.qmake.stash external/libmythsoundtouch/Makefile external/libsamplerate/.qmake.stash \
+	dh_clean debian/libmythtv-recommends-dummy.so external/FFmpeg/mythffmpeg \
+	external/FFmpeg/mythffprobe config.fate config.log doc/config.texi src \
 	external/FFmpeg/doc/config.texi external/FFmpeg/libavdevice/indev_list.c \
 	external/FFmpeg/libavdevice/outdev_list.c external/FFmpeg/libavfilter/filter_list.c
 
-#	find -name .exists | xargs -r rm
+	-rmdir doc
+	-rmdir -p tests/api
+
+	find -name moc -delete
+	find -name obj -delete
 
 override_dh_shlibdeps: debian/libmythtv-recommends-dummy.so
 	dh_shlibdeps
